// $Header: /sedona/bonus/dbtrans/dbtrans.dcl 2     3/03/97 2:14p Heinz $

//    DBTRANS.DCL      Version 1.0
//
////////////////////////////////////////////////////////////////////////
//
//  Copyright (C) 1997 by Autodesk, Inc.
//  Permission to use, copy, modify, and distribute this software in
//  object code form for any purpose and without fee is hereby granted,
//  provided that the above copyright notice appears in all copies and
//  that both that copyright notice and the limited warranty and
//  restricted rights notice below appear in all supporting
//  documentation.
//
//  AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
//  AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
//  MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
//  DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
//  UNINTERRUPTED OR ERROR FREE.
//
//  Use, duplication, or disclosure by the U.S. Government is subject to
//  restrictions set forth in FAR 52.227-19 (Commercial Computer
//  Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
//  (Rights in Technical Data and Computer Software), as applicable.
//
////////////////////////////////////////////////////////////////////////
  
//  dcl_settings : default_dcl_settings { audit_level = 3; }

dbtrans : dialog {
    aspect_ratio = 0;
    label = /*MSG1*/"Translate Database Text Format";
    layout = vertical;
    : row {
        : boxed_column {
            label = /*MSG2*/"Source Format";
            : popup_list {
                label = /*MSG3*/"Platform";
                key = "popup_source"; 
                list = /*MSG6*/"All";
                width = 30;
            }
            : list_box {
                label = /*MSG4*/"Code Page";
                key = "list_source";
            }
        }
        : boxed_column {
            label = /*MSG5*/"Target Format";
            : popup_list {
                label = /*MSG3*/"Platform";
                key = "popup_target";
                list = /*MSG6*/"All";
                width = 30;
            }
            : list_box {
                label = /*MSG4*/"Code Page";
                key = "list_target";
            }
        }
    }
    : row {
        : boxed_column {
            label = /*MSG7*/"Apply Translation To";
            width = 34;
            : row {
                : toggle {
                    label = /*MSG8*/"Drawing data";
                    key = "toggle_dwgdata";
                }
                : toggle {
                    label = /*MSG9*/"Application data";
                    key = "toggle_appdata";
                }
            }
            : button {
                label = /*MSG10*/"Preview...";
                key = "button_preview";
            }
        }
        : boxed_column {
            label = /*MSG11*/"Code Page Tables";
            width = 34;
            : edit_box {
                label = /*MSG12*/"&File"; 
                key = "edit_file";
            }
            : button {
                label = /*MSG13*/"&Load tables...";
                key = "button_tables";
            }
        }
    }
    ok_cancel_help;
    errtile;
}

dbtrans_preview : dialog {
    label = /*MSG15*/"Text Format Translation Preview";
    aspect_ratio = 0;
    layout = vertical;
    : list_box {
        label = /*MSG16*/"Translated Non-ASCII Text";
        key = "list_text";
        width = 70;
        height = 10;
    }
    : row {
        fixed_width = true;
        alignment = centered;
        ok_button;
        : spacer { width = 2; }
        : retirement_button {
            label = /*MSG14*/"Next Page";
            key = "button_more";
        }
    }
    errtile;
}

msgbox : dialog {
    label = /*MSG17*/"DBTRANS Alert";
    key = "label_msgbox";
    aspect_ratio = 0;
    layout = vertical;
    : list_box {
        key = "list_alert";
        width = 70;
        height = 5;
    }
    ok_button;
}

